Subject: Re: [lojban] Instant Evaluation (was: The Knights who forgot to say "ni!"

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Tue, 04 Sep 2001 10:28:26 -0400

At 02:06 PM 9/4/01 +0000, Jorge Llambias wrote:

>la xod cusku di'e
>
> >Lazy evaluation makes lu'e a lot more useful. It converts {lu'e la djan}
> >from "John" to "The Symbol for John".
>
>I wouldn't have a problem with {lu'e la djan} being defined
>as {le du'u makau du la djan}, "who John is" but please, please,
>pretty please, don't call it "The Symbol for John" then! It is
>exactly the same confusion as calling the proposition "whether p"
>"The Truth Value of p", or calling the proposition "how
>much p" "The Amount of p". In English we can easily get away
>with those word games, but in Lojban it only creates confusion.
>Truth values, amounts or symbols are not really propositions.

The concept I had of la'e and lu'e was similar to the concept of pointer 
variables in programming. lu'e then is a variable reference that points to 
the referent, and la'e takes the variable reference and treats it as a 
pointer to another referent. The two are inverse operations.

lojbab
--
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org